# _Simple
<span class="source-link">[[Source]](src/serialise/_test.md#L64)</span>
```pony
class ref _Simple
```

## Constructors

### create
<span class="source-link">[[Source]](src/serialise/_test.md#L64)</span>


```pony
new iso create()
: _Simple iso^
```

#### Returns

* [_Simple](serialise-_Simple) iso^

---

## Public fields

### var words1: [_MachineWords](serialise-_MachineWords) ref
<span class="source-link">[[Source]](src/serialise/_test.md#L65)</span>



---

### embed words2: [_MachineWords](serialise-_MachineWords) ref
<span class="source-link">[[Source]](src/serialise/_test.md#L66)</span>



---

### var words3: [_StructWords](serialise-_StructWords) ref
<span class="source-link">[[Source]](src/serialise/_test.md#L67)</span>



---

### embed words4: [_StructWords](serialise-_StructWords) ref
<span class="source-link">[[Source]](src/serialise/_test.md#L68)</span>



---

### var words5: ([Any](builtin-Any) ref | [None](builtin-None) val)
<span class="source-link">[[Source]](src/serialise/_test.md#L69)</span>



---

### var words6: ([Any](builtin-Any) ref | [None](builtin-None) val)
<span class="source-link">[[Source]](src/serialise/_test.md#L70)</span>



---

### var string: [String](builtin-String) val
<span class="source-link">[[Source]](src/serialise/_test.md#L71)</span>



---

### var none: [None](builtin-None) val
<span class="source-link">[[Source]](src/serialise/_test.md#L72)</span>



---

### var tuple: ([U64](builtin-U64) val , [String](builtin-String) val)
<span class="source-link">[[Source]](src/serialise/_test.md#L73)</span>



---

### var tuple2: (([U64](builtin-U64) val , [String](builtin-String) val) | [None](builtin-None) val)
<span class="source-link">[[Source]](src/serialise/_test.md#L74)</span>



---

### var a_tag: [_MachineWords](serialise-_MachineWords) tag
<span class="source-link">[[Source]](src/serialise/_test.md#L75)</span>



---

### var a_ref: [_MachineWords](serialise-_MachineWords) ref
<span class="source-link">[[Source]](src/serialise/_test.md#L76)</span>



---

## Public Functions

### eq
<span class="source-link">[[Source]](src/serialise/_test.md#L78)</span>


```pony
fun box eq(
  that: _Simple ref)
: Bool val
```
#### Parameters

*   that: [_Simple](serialise-_Simple) ref

#### Returns

* [Bool](builtin-Bool) val

---

